Chisquare {base} | R Documentation

## The (non-central) Chi-Square Distribution

### Description

Density, distribution function, quantile function and random generation for the chi-square (chi^2) distribution with `df` degrees of freedom and optional non-centrality parameter `ncp`.

### Usage

    dchisq(x, df, ncp=0, log = FALSE)
    pchisq(q, df, ncp=0, lower.tail = TRUE, log.p = FALSE)
    qchisq(p, df, ncp=0, lower.tail = TRUE, log.p = FALSE)
    rchisq(n, df)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations to generate.
`df` | degrees of freedom.
`ncp` | non-centrality parameter.
`log, log.p` | logical; if TRUE, probabilities p are given as log(p).
`lower.tail` | logical; if TRUE (default), probabilities are P[X <= x], otherwise, P[X > x].

### Details

The chi-square distribution with `df`= n degrees of freedom has density

f_n(x) = 1 / (2^(n/2) Gamma(n/2)) x^(n/2-1) e^(-x/2)

for x > 0. Mean and variance are n and 2n, respectively.

The non-central chi-square distribution with `df`= n degrees of freedom and non-centrality parameter `ncp` = λ has density

f(x) = exp(-lambda/2) SUM_{r=0}^infty ((lambda/2)^r / r!) dchisq(x, df + 2r)

for x >= 0.

### Value

`dchisq` gives the density, `pchisq` gives the distribution function, `qchisq` gives the quantile function, and `rchisq` generates random deviates.

### See Also

`dgamma` for the Gamma distribution which generalizes the chi-square one.

### Examples

    dchisq(1, df=1:3)
    pchisq(1, df= 3)
    pchisq(1, df= 3, ncp = 0:4)# includes the above

    x <- 1:10
    ## Chisquare( df = 2) is a special exponential distribution
    all.equal(dchisq(x, df=2), dexp(x, 1/2))
    all.equal(pchisq(x, df=2), pexp(x, 1/2))

[Package Contents]